> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gputrader.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create rental checkout session

> Initialize a new rental checkout session



## OpenAPI

````yaml https://console.gputrader.io/assets/gputrader-api.json post /rentals/checkout
openapi: 3.1.1
info:
  title: GPU Trader API
  version: 0.4.16
  description: This is the Swagger/OpenAPI-compatible GPUTrader API documentation
servers:
  - url: https://api.gputrader.io/v1
security: []
tags: []
paths:
  /rentals/checkout:
    post:
      tags:
        - Rentals
      summary: Create rental checkout session
      description: Initialize a new rental checkout session
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - returnUrl
              properties:
                returnUrl:
                  type: string
                  description: URL to redirect to after checkout completion
      responses:
        '200':
          description: Checkout session successfully created
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: ID of the created checkout session
                  client_secret:
                    type: string
                    description: Stripe client secret
        '400':
          description: Invalid request body
        '500':
          description: Internal server error
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````